## bzr-grep 0.4.0+bzr147

=== Makefile ===
# Copyright (C) 2010 Canonical Ltd
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

# Makefile based on the Makefile from bzr-hg plugin

DEBUGGER ?=
BZR ?= $(shell which bzr)
PYTHON ?= $(shell which python)
SETUP ?= ./setup.py
PYDOCTOR ?= pydoctor
CTAGS ?= ctags
PYLINT ?= pylint
RST2HTML ?= rst2html
TESTS ?= bzrlib.plugins.grep
TMP_PLUGINS_DIR = $(shell pwd)/.plugins


all:: build

build::
	$(SETUP) build

build-inplace::

install::
	$(SETUP) install

clean::
	$(SETUP) clean
	rm -f *.so
	rm -rf $(TMP_PLUGINS_DIR)
	rm -rf build

$(TMP_PLUGINS_DIR):
	mkdir -p $@

$(TMP_PLUGINS_DIR)/grep: $(TMP_PLUGINS_DIR)
	ln -sf .. $@

check:: build-inplace $(TMP_PLUGINS_DIR)/grep
	BZR_PLUGIN_PATH=$(TMP_PLUGINS_DIR) $(DEBUGGER) $(PYTHON) $(PYTHON_OPTIONS) $(BZR) $(BZR_OPTIONS) selftest $(TEST_OPTIONS) $(TESTS)

check-verbose::
	$(MAKE) check TEST_OPTIONS=-v

check-one::
	$(MAKE) check TEST_OPTIONS=--one

check-random::
	$(MAKE) check TEST_OPTIONS="--random=now --verbose --one"

show-plugins::
	BZR_PLUGIN_PATH=$(TMP_PLUGINS_DIR) $(BZR) plugins

lint::
	$(PYLINT) -f parseable *.py */*.py

tags::
	$(CTAGS) -R .

ctags:: tags

coverage::
	$(MAKE) check BZR_OPTIONS="--coverage ,coverage"

## bzr-grep 0.4.0

=== debian/changelog ===
bzr-grep (0.4.0-4) unstable; urgency=low

  * Re-arrange | condition in build deps to make sbuild happy.
  * Bump standards version to 3.9.2 (no changes).

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 06 May 2011 03:07:39 +0200

bzr-grep (0.4.0-3) unstable; urgency=low

  * Add build dependency on python-bzrlib.tests, required for
    compatibility with newer versions of bzr.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 01 May 2011 04:33:28 +0200

bzr-grep (0.4.0-2) unstable; urgency=low

  [ Jelmer Vernooij ]
  * Mark as only supporting Python >= 2.4, like Bazaar.
  * Add Enhances: bzr
  * Switch to dh_python2. Closes: #616758
  * Bump standards version to 3.9.1 (no changes).

  [ Andrew Starr-Bochicchio ]
  * Enable tests at build time.

  [ Jelmer Vernooij ]
  * Switch to debhelper 7, drop cdbs.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 07 Mar 2011 04:51:16 +0100

bzr-grep (0.4.0-1) unstable; urgency=low

  * Initial release (Closes: #585643).

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Sat, 12 Jun 2010 11:39:51 -0400

=== debian/control ===
Source: bzr-grep
Section: vcs
Priority: extra
Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
Uploaders: Andrew Starr-Bochicchio <a.starr.b@gmail.com>,
           Jelmer Vernooij <jelmer@debian.org>
Build-Depends: debhelper (>= 7.0.50~), python (>= 2.6.6-3)
Build-Depends-Indep: python-bzrlib.tests | bzr (<< 2.4.0~beta1-2),
                     bzr (>= 1.13),
                     python-testtools
Standards-Version: 3.9.2
Homepage: https://launchpad.net/bzr-grep
Vcs-Bzr: http://bzr.debian.org/pkg-bazaar/bzr-grep/unstable
Vcs-Browser: http://bzr.debian.org/loggerhead/pkg-bazaar/bzr-grep/unstable/files
X-Python-Version: >= 2.4

Package: bzr-grep
Architecture: all
Depends: bzr (>= 1.13), ${misc:Depends}, ${python:Depends}
Enhances: bzr
Breaks: ${python:Breaks}
Description: Bazaar plugin to grep files and history
 A plugin for Bazaar that adds the ability to grep files and history in
 a repository.
 .
 This command searches the specified files and revisions for a given
 pattern. The pattern is specified as a Python regular expressions.

=== debian/watch ===
version=3
https://launchpad.net/bzr-grep/+download http://launchpad.net/bzr-grep/.*/bzr-grep-(.*)\.tar\.gz

## bzr-grep 0.4.0+bzr147

=== debian/changelog ===
bzr-grep (0.4.0+bzr147-1) unstable; urgency=low

  [ Andrew Starr-Bochicchio ]
  * debian/copyright: Update to respect current DEP-5 spec.
  * Cherrypick upstream rev 146: Cope with the fact that Feature
    has moved to bzrlib.tests.features in bzr 2.5. Fixes FTBFS
    in Sid (Closes: #652757).
  * debian/control: Set DM-Upload-Allowed: yes

  [ Jelmer Vernooij ]
  * New upstream snapshot.
   + Fixes compatibility with bzr 2.5 beta 5 and later.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 20 Dec 2011 16:41:55 +0100

=== debian/control ===
--- 
+++ 
@@ -10,13 +10,14 @@
                      python-testtools
 Standards-Version: 3.9.2
 Homepage: https://launchpad.net/bzr-grep
+DM-Upload-Allowed: yes
 Vcs-Bzr: http://bzr.debian.org/pkg-bazaar/bzr-grep/unstable
 Vcs-Browser: http://bzr.debian.org/loggerhead/pkg-bazaar/bzr-grep/unstable/files
 X-Python-Version: >= 2.4
 
 Package: bzr-grep
 Architecture: all
-Depends: bzr (>= 1.13), ${misc:Depends}, ${python:Depends}
+Depends: bzr (>= 2.0), ${misc:Depends}, ${python:Depends}
 Enhances: bzr
 Breaks: ${python:Breaks}
 Description: Bazaar plugin to grep files and history

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --buildsystem=python_distutils --with python2 $*

ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	BZR_PLUGINS_AT=grep@$(CURDIR) /usr/bin/bzr selftest -s bp.grep
endif
